<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="23" version="2.0">
<workbenchAdvisor/>
<window height="768" maximized="true" width="1024" x="1708" y="192">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout>
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="156" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="com.chipon.chiponide.ui.toolbar2" itemType="typeToolBarContribution" x="39" y="22"/>
<coolItem id="com.chipon.chiponide.ui.toolbar.common" itemType="typeToolBarContribution" x="85" y="22"/>
<coolItem id="com.chipon.chiponide.ui.toolbar1" itemType="typeToolBarContribution" x="39" y="22"/>
<coolItem id="org.eclipse.cdt.ui.CElementCreationActionSet" itemType="typeToolBarContribution" x="136" y="22"/>
<coolItem id="org.eclipse.cdt.ui.buildConfigActionSet" itemType="typeToolBarContribution" x="94" y="22"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="96" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="79" y="22"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="85" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="199" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.cdt.ui.editor.CEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page aggregateWorkingSetId="Aggregate for window 1464419246343" focus="true" label="工作空间 － KungFu项目">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
</presentation>
</folder>
</info>
</editorArea>
<editor id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" partName="main.c" path="E:/石迈/项目/Example/15-SPI/15-SPI_Master/main.c" title="main.c" tooltip="15-SPI_Master/main.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/15-SPI_Master/main.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="730" selectionTopPixel="0"/>
</editor>
<editor activePart="true" focus="true" id="org.eclipse.cdt.ui.editor.CEditor" name="main.c" partName="main.c" path="E:/石迈/项目/Example/15-SPI/15-SPI_Slave/main.c" title="main.c" tooltip="15-SPI_Slave/main.c" workbook="DefaultEditorWorkbook">
<input factoryID="org.eclipse.ui.part.FileEditorInputFactory" path="/15-SPI_Slave/main.c"/>
<editorState selectionHorizontalPixel="0" selectionLength="0" selectionOffset="617" selectionTopPixel="0"/>
</editor>
</editors>
<views>
<view id="com.chipon.chiponide.ui.view.chiponview" partName="芯片信息"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer" partName="项目资源管理器">
<viewState CommonNavigator.LINKING_ENABLED="0" org.eclipse.cdt.ui.cview.groupincludes="false" org.eclipse.cdt.ui.cview.groupmacros="false" org.eclipse.cdt.ui.editor.CUChildren="true" org.eclipse.ui.navigator.resources.workingSets.showTopLevelWorkingSets="0"/>
</view>
<view id="com.chipon.chiponide.ui.views.ProgramUtilization" partName="资源使用率">
<viewState/>
</view>
<view id="org.eclipse.cdt.make.ui.views.MakeView" partName="Make 目标"/>
<view id="org.eclipse.ui.views.ProblemView" partName="问题">
<viewState PRIMARY_SORT_FIELD="org.eclipse.ui.ide.severityAndDescriptionField" categoryGroup="org.eclipse.ui.ide.severity" markerContentGenerator="org.eclipse.ui.ide.problemsGenerator" partName="问题">
<columnWidths org.eclipse.ui.ide.locationField="120" org.eclipse.ui.ide.markerType="120" org.eclipse.ui.ide.pathField="160" org.eclipse.ui.ide.resourceField="120" org.eclipse.ui.ide.severityAndDescriptionField="400"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.severityAndDescriptionField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.resourceField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.pathField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.locationField"/>
<visible IMemento.internal.id="org.eclipse.ui.ide.markerType"/>
</viewState>
</view>
<view id="org.eclipse.ui.console.ConsoleView" partName="控制台">
<viewState/>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="大纲"/>
</views>
<perspectives activePart="org.eclipse.cdt.ui.editor.CEditor" activePerspective="org.eclipse.cdt.ui.CPerspective">
<perspective editorAreaTrimState="2" editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="com.chipon.chiponide.ui.PerspectiveFactory.KungFuperspective" id="org.eclipse.cdt.ui.CPerspective" label="KungFu项目"/>
<alwaysOnActionSet id="com.chipon.chiponide.ui.updatechipon.actionset"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.annotationNavigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.openFiles"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.SearchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.make.ui.makeTargetActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.buildConfigActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.NavigationActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.OpenActionSet"/>
<alwaysOnActionSet id="org.eclipse.cdt.ui.CodingActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.presentation"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.cdt.ui.CView"/>
<show_view_action id="org.eclipse.cdt.make.ui.views.MakeView"/>
<show_view_action id="org.eclipse.ui.navigator.ProjectExplorer"/>
<show_view_action id="org.eclipse.cdt.ui.includeBrowser"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewCWizard2"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.ConvertToMakeWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewMakeFromExisting"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewSourceFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewHeaderFileCreationWizard"/>
<new_wizard_action id="org.eclipse.cdt.ui.wizards.NewFileCreationWizard"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.team.ui.TeamSynchronizingPerspective"/>
<hide_toolbar_item_id id="org.eclipse.ui.edit.text.toggleShowSelectedElementOnly"/>
<view id="org.eclipse.ui.navigator.ProjectExplorer"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.ui.console.ConsoleView"/>
<view id="com.chipon.chiponide.ui.view.chiponview"/>
<view id="com.chipon.chiponide.ui.views.ProgramUtilization"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<view id="org.eclipse.cdt.make.ui.views.MakeView"/>
<fastViewBars/>
<layout>
<mainWindow>
<info folder="true" part="topLeft">
<folder activePageID="org.eclipse.ui.navigator.ProjectExplorer" appearance="2" expanded="2">
<page content="org.eclipse.ui.navigator.ProjectExplorer" label="项目资源管理器"/>
<page content="org.eclipse.cdt.ui.CView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="stickyFolderRight" ratio="0.75" ratioLeft="756" ratioRight="252" relationship="2" relative="topLeft">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.25" ratioLeft="252" ratioRight="756" relationship="2" relative="topLeft"/>
<info folder="true" part="bottom" ratio="0.7491961" ratioLeft="466" ratioRight="156" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ProblemView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="问题"/>
<page content="org.eclipse.ui.console.ConsoleView" label="控制台"/>
<page content="com.chipon.chiponide.ui.view.chiponview" label="芯片信息"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
</presentation>
</folder>
</info>
<info folder="true" part="topRight" ratio="0.75" ratioLeft="567" ratioRight="189" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="com.chipon.chiponide.ui.views.ProgramUtilization" appearance="2" expanded="2">
<page content="com.chipon.chiponide.ui.views.ProgramUtilization" label="资源使用率"/>
<page content="org.eclipse.ui.views.ContentOutline" label="大纲"/>
<page content="org.eclipse.cdt.make.ui.views.MakeView" label="Make 目标"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<workingSets/>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/SPI_test(4158硬件发送)/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/SPI_test(4158硬件接收)/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/SPI-MASTER/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/SPI-MASTER/kf4156_spi.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/SPI-SLAVE/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/SPI-SLAVE/initial.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/SPI-SLAVE/kf4156_spi.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/14-IIC_Slave/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/15-SPI_Master/main.c"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.cdt.ui.editor.CEditor" path="/15-SPI_Slave/main.c"/>
</editors>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="2356" y="0"/>
</item>
<item historyLabel="main.c" index="1">
<position info="not_deleted" x="647" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="2774" y="0"/>
</item>
<item historyLabel="main.c" index="2">
<position info="not_deleted" x="1146" y="0"/>
</item>
<item historyLabel="kf4156_spi.c" index="3">
<position info="not_deleted" x="3131" y="24"/>
</item>
<item historyLabel="kf4156_spi.c" index="3">
<position info="not_deleted" x="3179" y="0"/>
</item>
<item historyLabel="kf4156_spi.c" index="3">
<position info="not_deleted" x="2405" y="17"/>
</item>
<item historyLabel="kf4156_spi.c" index="3">
<position info="not_deleted" x="3930" y="0"/>
</item>
<item historyLabel="kf4156_spi.c" index="3">
<position info="not_deleted" x="2776" y="11"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="2774" y="0"/>
</item>
<item historyLabel="main.c" index="4">
<position info="not_deleted" x="689" y="0"/>
</item>
<item historyLabel="initial.c" index="5">
<position info="not_deleted" x="827" y="0"/>
</item>
<item historyLabel="kf4156_spi.c" index="6">
<position info="not_deleted" x="670" y="8"/>
</item>
<item historyLabel="initial.c" index="5">
<position info="not_deleted" x="827" y="0"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="2774" y="0"/>
</item>
<item historyLabel="main.c" index="1">
<position info="not_deleted" x="647" y="0"/>
</item>
<item historyLabel="main.c" index="1">
<position info="not_deleted" x="2364" y="0"/>
</item>
<item historyLabel="main.c" index="1">
<position/>
</item>
<item historyLabel="main.c" index="7">
<position info="not_deleted" x="0" y="478"/>
</item>
<item historyLabel="main.c" index="1">
<position info="not_deleted" x="0" y="478"/>
</item>
<item historyLabel="main.c" index="0">
<position info="not_deleted" x="2774" y="0"/>
</item>
<item historyLabel="main.c" index="8">
<position info="not_deleted" x="428" y="0"/>
</item>
<item historyLabel="main.c" index="9">
<position info="not_deleted" x="136" y="0"/>
</item>
<item historyLabel="main.c" index="8">
<position info="not_deleted" x="238" y="0"/>
</item>
<item historyLabel="main.c" index="9">
<position info="not_deleted" x="2292" y="0"/>
</item>
<item historyLabel="main.c" index="8">
<position info="not_deleted" x="2194" y="0"/>
</item>
<item historyLabel="main.c" index="9">
<position info="not_deleted" x="256" y="172"/>
</item>
<item historyLabel="main.c" index="8">
<position info="not_deleted" x="730" y="0"/>
</item>
<item active="true" historyLabel="main.c" index="9">
<position info="not_deleted" x="256" y="172"/>
</item>
</navigationHistory>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
<trimLayout>
<trimArea IMemento.internal.id="128">
<trimItem IMemento.internal.id="org.eclipse.ui.internal.WorkbenchWindow.topBar"/>
</trimArea>
<trimArea IMemento.internal.id="1024">
<trimItem IMemento.internal.id="org.eclise.ui.internal.FastViewBar"/>
<trimItem IMemento.internal.id="org.eclipse.jface.action.StatusLineManager"/>
<trimItem IMemento.internal.id="org.eclipse.ui.internal.progress.ProgressRegion"/>
</trimArea>
</trimLayout>
</window>
<mruList/>
</workbench>